require "phi"

form = Phi::Form.new
sb   = Phi::ScrollBox.new form
sb.align = Phi::AL_CLIENT

img = Phi::Image.new sb
img.picture.bitmap.load('C:/Program Files/Common Files/Borland Shared/Images/Splash/256Color/CHEMICAL.BMP')
img.width = img.picture.width
img.height = img.picture.height

form.active_control = sb

form.on_mouse_wheel = proc do |sender, handled, shift, delta, point|
  p [sender, handled, shift, delta, point]
  false
end
sb.on_mouse_wheel = proc do |sender, handled, shift, delta, point|
  p [sender, handled, shift, delta, point]
  false
end
form.show
Phi.mainloop
